onEvent('recipes', (event) => {
    event.remove({output: 'extendedcrafting:basic_auto_table'})
    event.remove({output: 'extendedcrafting:advanced_auto_table'})
    event.remove({output: 'extendedcrafting:elite_auto_table'})
    event.remove({output: 'extendedcrafting:ultimate_auto_table'})
    
    event.shaped('extendedcrafting:basic_auto_table', ['ABA', 'CDC', 'ABA'], {
        A: 'extendedcrafting:black_iron_ingot',
        B: 'extendedcrafting:redstone_catalyst',
        C: 'extendedcrafting:ender_catalyst',
        D: 'extendedcrafting:basic_table'
    }).id('kubejs:extendedcrafting/basic_auto_table')

    
    event.shaped('extendedcrafting:advanced_auto_table', ['ABA', 'CDC', 'ABA'], {
        A: 'extendedcrafting:black_iron_ingot',
        B: 'extendedcrafting:redstone_catalyst',
        C: 'extendedcrafting:enhanced_ender_catalyst',
        D: 'extendedcrafting:advanced_table'
    }).id('kubejs:extendedcrafting/advanced_auto_table')

    
    event.shaped('extendedcrafting:elite_auto_table', ['ABA', 'CDC', 'ABA'], {
        A: 'extendedcrafting:black_iron_ingot',
        B: 'extendedcrafting:crystaltine_catalyst',
        C: 'extendedcrafting:ender_catalyst',
        D: 'extendedcrafting:elite_table'
    }).id('kubejs:extendedcrafting/elite_auto_table')

    
    event.shaped('extendedcrafting:ultimate_auto_table', ['ABA', 'CDC', 'ABA'], {
        A: 'extendedcrafting:black_iron_ingot',
        B: 'extendedcrafting:crystaltine_catalyst',
        C: 'extendedcrafting:enhanced_ender_catalyst',
        D: 'extendedcrafting:ultimate_table'
    }).id('kubejs:extendedcrafting/ultimate_auto_table')
})